XMonad.Config.Prime

# Start here

xmonad

nothing

# Attributes you can set

normalBorderColor

focusedBorderColor

terminal

modMask

borderWidth

focusFollowsMouse

clickJustFocuses

class SettableClass s x y

class UpdateableClass s x y

# Attributes you can add to

manageHook

handleEventHook

workspaces

logHook

startupHook

clientMask

rootMask

class SummableClass s y

# Attributes you can add to or remove from

keys

mouseBindings

class RemovableClass r y

# Modifying the list of workspaces

withWorkspaces

wsNames

wsKeys

wsActions

wsSetName

# Modifying the screen keybindings

withScreens

sKeys

sActions

onScreens

# Modifying the layoutHook

addLayout

resetLayout

modifyLayout

# Updating the XConfig en masse

startWith

apply

applyIO

# The rest of the world

# Core

type Prime l l'

type Arr x y

(>>)

ifThenElse

# Example config

# Troubleshooting